Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetStickers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Stickers>
it.tdlight.jni.TdApi.GetStickers

Enclosing class:
  TdApi

public static final class TdApi.GetStickers extends TdApi.Function<TdApi.Stickers>
Returns stickers from the installed sticker sets that correspond to a given emoji. If the emoji is non-empty, favorite and recently used stickers may also be returned.

Returns `Stickers`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`emoji`
String representation of emoji.
`int`
`limit`
The maximum number of stickers to be returned.

## Constructor Summary

Constructors
Constructor
Description
`GetStickers()`
Returns stickers from the installed sticker sets that correspond to a given emoji.
`GetStickers(DataInput input)`
Returns stickers from the installed sticker sets that correspond to a given emoji.
`GetStickers(String emoji, int limit)`
Returns stickers from the installed sticker sets that correspond to a given emoji.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### emoji

public String emoji
String representation of emoji. If empty, returns all known installed stickers.

### limit

public int limit
The maximum number of stickers to be returned.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### GetStickers

public GetStickers()
Returns stickers from the installed sticker sets that correspond to a given emoji. If the emoji is non-empty, favorite and recently used stickers may also be returned.

Returns `Stickers`

### GetStickers

public GetStickers(String emoji, int limit)
Returns stickers from the installed sticker sets that correspond to a given emoji. If the emoji is non-empty, favorite and recently used stickers may also be returned.

Returns `Stickers`

Parameters:
  `emoji` - String String representation of emoji. If empty, returns all known installed stickers.
  `limit` - int The maximum number of stickers to be returned.

### GetStickers

public GetStickers(DataInput input) throws IOException
Returns stickers from the installed sticker sets that correspond to a given emoji. If the emoji is non-empty, favorite and recently used stickers may also be returned.

Returns `Stickers`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`